<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Ics;

class IcsAuswahlView extends \Kufer\Web\KuferTools\Basis\Ics\IcsAuswahlView
{
  public function getTemplatePathRelative()
  {
    return 'firma/kursuebersicht/ics/icsauswahl.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $datamodulMitKursnummern = \array_map(\FunctionOperations::addAttribute('kursnummern', function() {return implode(':', $this->viewModel->kursnummern);}), parent::getDefaultDataModulArray());

    return \array_map(\FunctionOperations::addAttribute('terminNr', function() {return $this->viewModel->terminNr;}), $datamodulMitKursnummern);
  }
}

class IcsAuswahlViewModel extends \Kufer\Web\KuferTools\Basis\Ics\IcsAuswahlViewModel
{
  public $kursnummern;
  public $terminNr;
}